/* domina - DOM Integration Assistant */
if(!ns || !ns.tw || !ns.tw.csi) alert("CSI - Client Side Include has not been loaded.");

ns.tw.nsa.create("ns.tw.domina");

ns.tw.domina.byId=function(id){
	return document.getElementById(id);
}

ns.tw.domina.byName=function(name,base){
	return (base?base:document).getElementsByName(name);
}

ns.tw.domina.byClass=function(name,base,tag) {
	if(tag){
		var cloud = (base?base:document).getElementsByTagName(tag);
		var res = [];
		for(var i=0; i<cloud.length; i++) if(cloud[i].className == name) res.push(cloud[i]);
		return res;
	}else{
		var node=(base?base:document);
		var res=[];
		
		if(node.className && node.className==name) res.push(node);
		
		var checkLevel=null;
		checkLevel=function(n){
			for(var i=0;i<n.childNodes.length;i++){
				if(n.childNodes[i].className && n.childNodes[i].className==name) res.push(n.childNodes[i]);
				if(n.childNodes[i].childNodes.length>0) checkLevel(n.childNodes[i]);
			}
		}
		
		checkLevel(node);
		return res;
	}
}

ns.tw.domina.setOpacity=function(el,percentage){
	if(el.style.filter!=undefined) el.style.filter="alpha(opacity="+Math.floor(percentage)+")";
	else el.style.opacity=percentage/100;
}

ns.tw.csi.registerInclude(function(){});